<?php

/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

/**
 * Update a note.  If the note doesn't exist, creates a new one and saves it.
 */

$note = new Note("", "", getRequestUser()->getUID(), null);

if (!empty($VARS['id'])) {
    try {
        $note = Note::loadNote($VARS['id']);
    } catch (Exception $ex) {
        // It's a new note I guess
    }
}

if (!$note->hasWriteAccess(getRequestUser())) {
    sendJsonResp($Strings->get("You don't have permission to edit this note.", false), "ERROR");
}


$note->setText($VARS['text']);

if (!empty($VARS['color'])) {
    $note->setColor($VARS['color']);
}

if (empty($VARS['modified'])) {
    $note->setModified(date("Y-m-d H:i:s"));
} else {
    $note->setModified($requestdata['modified']);
}

if (!empty($VARS['favorite'])) {
    $note->setFavorite($VARS['favorite'] == true);
}

$note->saveNote();

sendJsonResp($Strings->get("Note saved", false), "OK", ["note" => $note->toArray()]);
